Package org.eclipse.wst.xsl.ui.internal.registry

## org.eclipse.wst.xsl.ui.internal.registry
Class AdapterFactoryProviderForXSL

    public class AdapterFactoryProviderForXSL
    extends AdapterFactoryProviderForXML

## Constructor Summary

`AdapterFactoryProviderForXSL()`

## Method Summary

`public void` | `addAdapterFactories(IStructuredModel structuredModel)`
`protected void` | `addContentBasedFactories(IStructuredModel structuredModel)`
`public boolean` | `isFor(IDocumentTypeHandler contentTypeDescription)`
`public void` | `reinitializeFactories(IStructuredModel structuredModel)`

## Constructor Detail

## AdapterFactoryProviderForXSL

`public AdapterFactoryProviderForXSL()`

## Methods Detail

## addAdapterFactories

`public void addAdapterFactories(IStructuredModel structuredModel)`

### Parameters

`structuredModel`

## addContentBasedFactories

`protected void addContentBasedFactories(IStructuredModel structuredModel)`

### Parameters

`structuredModel`

## isFor

`public boolean isFor(IDocumentTypeHandler contentTypeDescription)`

### Parameters

`contentTypeDescription`

### Returns

`boolean`

## reinitializeFactories

`public void reinitializeFactories(IStructuredModel structuredModel)`

### Parameters

`structuredModel`